## rust-debian-analyzer 0.159.3

=== debian/changelog ===
rust-debian-analyzer (0.159.3-2) unstable; urgency=medium

  * Team upload.
  * Package debian-analyzer 0.159.3 from crates.io using debcargo 2.7.8
  * Bump dependency on tempfile to help britney's autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 26 Aug 2025 15:34:15 +0000

rust-debian-analyzer (0.159.3-1) unstable; urgency=medium

  * Package debian-analyzer 0.159.3 from crates.io using debcargo 2.7.8

  [ Jelmer Vernooĳ ]
  * Package debian-analyzer 0.159.3 from crates.io using debcargo 2.7.10

  [ Maytham Alsudany ]
  * Team upload.
  * Package debian-analyzer 0.158.25 from crates.io using debcargo 2.7.6

  [ Jelmer Vernooĳ ]
  * Drop patch remove-svp-client: svp-client is now in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 21 Aug 2025 18:41:35 +0000

=== debian/control ===
Source: rust-debian-analyzer
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-breezyshim-0.6+debian-dev (>= 0.6.2-~~) <!nocheck>,
 librust-breezyshim-0.6+default-dev (>= 0.6.2-~~) <!nocheck>,
 librust-breezyshim-0.6+dirty-tracker-dev (>= 0.6.2-~~) <!nocheck>,
 librust-chrono+default-dev (>= 0.4-~~) <!nocheck>,
 librust-chrono+serde-dev (>= 0.4-~~) <!nocheck>,
 librust-configparser-3+default-dev <!nocheck>,
 librust-deb822-lossless-0.3+default-dev <!nocheck>,
 librust-debian-changelog-0.2+default-dev <!nocheck>,
 librust-debian-control+default-dev (>= 0.1.37-~~) <!nocheck>,
 librust-debian-copyright+default-dev (>= 0.1.26-~~) <!nocheck>,
 librust-debversion+default-dev (>= 0.4.0-~~) <!nocheck>,
 librust-debversion+python-debian-dev (>= 0.4.0-~~) <!nocheck>,
 librust-debversion+serde-dev (>= 0.4.0-~~) <!nocheck>,
 librust-dep3-0.1+default-dev <!nocheck>,
 librust-difflib-0.4+default-dev <!nocheck>,
 librust-distro-info+default-dev (>= 0.4.0-~~) <!nocheck>,
 librust-filetime-0.2+default-dev <!nocheck>,
 librust-hex-0.4+default-dev (>= 0.4.3-~~) <!nocheck>,
 librust-lazy-regex-3+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-makefile-lossless-0.2+default-dev <!nocheck>,
 librust-maplit-1+default-dev (>= 1.0.2-~~) <!nocheck>,
 librust-merge3-0.2+default-dev <!nocheck>,
 librust-patchkit-0.2+default-dev (>= 0.2.1-~~) <!nocheck>,
 librust-pyo3-0.25+chrono-dev <!nocheck>,
 librust-pyo3-0.25+default-dev <!nocheck>,
 librust-pyo3-0.25+serde-dev <!nocheck>,
 librust-quote-1+default-dev (>= 1.0.37-~~) <!nocheck>,
 librust-reqwest+blocking-dev (>= 0.11-~~) <!nocheck>,
 librust-reqwest+default-dev (>= 0.11-~~) <!nocheck>,
 librust-reqwest+json-dev (>= 0.11-~~) <!nocheck>,
 librust-semver-1+default-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-sha1-0.10+default-dev (>= 0.10.6-~~) <!nocheck>,
 librust-tempfile-3+default-dev (>= 3.20-~~) <!nocheck>,
 librust-toml-edit+default-dev (>= 0.22-~~) <!nocheck>,
 librust-url-2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/debian-analyzer]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/debian-analyzer
Homepage: https://github.com/jelmer/debian-analyzer
X-Cargo-Crate: debian-analyzer
Rules-Requires-Root: no

Package: librust-debian-analyzer-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-breezyshim-0.6+debian-dev (>= 0.6.2-~~),
 librust-breezyshim-0.6+default-dev (>= 0.6.2-~~),
 librust-breezyshim-0.6+dirty-tracker-dev (>= 0.6.2-~~),
 librust-chrono+default-dev (>= 0.4-~~),
 librust-chrono+serde-dev (>= 0.4-~~),
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+string-dev,
 librust-clap-4+suggestions-dev,
 librust-configparser-3+default-dev,
 librust-deb822-lossless-0.3+default-dev,
 librust-debian-changelog-0.2+default-dev,
 librust-debian-control+default-dev (>= 0.1.37-~~),
 librust-debian-copyright+default-dev (>= 0.1.26-~~),
 librust-debversion+default-dev (>= 0.4.0-~~),
 librust-debversion+python-debian-dev (>= 0.4.0-~~),
 librust-debversion+serde-dev (>= 0.4.0-~~),
 librust-dep3-0.1+default-dev,
 librust-difflib-0.4+default-dev,
 librust-distro-info+default-dev (>= 0.4.0-~~),
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-filetime-0.2+default-dev,
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-lazy-regex-3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-log-0.4+default-dev,
 librust-makefile-lossless-0.2+default-dev,
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-merge3-0.2+default-dev,
 librust-patchkit-0.2+default-dev (>= 0.2.1-~~),
 librust-pyo3-0.25+chrono-dev,
 librust-pyo3-0.25+default-dev,
 librust-pyo3-0.25+serde-dev,
 librust-quote-1+default-dev (>= 1.0.37-~~),
 librust-reqwest+blocking-dev (>= 0.11-~~),
 librust-reqwest+default-dev (>= 0.11-~~),
 librust-reqwest+json-dev (>= 0.11-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha1-0.10+default-dev (>= 0.10.6-~~),
 librust-sqlx+default-dev (>= 0.8-~~),
 librust-sqlx+postgres-dev (>= 0.8-~~),
 librust-svp-client-0.2+default-dev,
 librust-tempfile-3+default-dev (>= 3.20-~~),
 librust-toml-edit+default-dev (>= 0.22-~~),
 librust-url-2+default-dev
Provides:
 librust-debian-analyzer+cli-dev (= ${binary:Version}),
 librust-debian-analyzer+default-dev (= ${binary:Version}),
 librust-debian-analyzer+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer+python-dev (= ${binary:Version}),
 librust-debian-analyzer+svp-dev (= ${binary:Version}),
 librust-debian-analyzer+udd-dev (= ${binary:Version}),
 librust-debian-analyzer-0-dev (= ${binary:Version}),
 librust-debian-analyzer-0+cli-dev (= ${binary:Version}),
 librust-debian-analyzer-0+default-dev (= ${binary:Version}),
 librust-debian-analyzer-0+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer-0+python-dev (= ${binary:Version}),
 librust-debian-analyzer-0+svp-dev (= ${binary:Version}),
 librust-debian-analyzer-0+udd-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159+cli-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159+default-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159+python-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159+svp-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159+udd-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159.3-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159.3+cli-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159.3+default-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159.3+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159.3+python-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159.3+svp-dev (= ${binary:Version}),
 librust-debian-analyzer-0.159.3+udd-dev (= ${binary:Version})
Description: Debian analyzer - Rust source code
 Source code for Debianized Rust crate "debian-analyzer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets --all-features
Features: test-name=rust-debian-analyzer:@
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets --no-default-features --features cli
Features: test-name=librust-debian-analyzer-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets
Features: test-name=librust-debian-analyzer-dev:default
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets --no-default-features --features merge3
Features: test-name=librust-debian-analyzer-dev:merge3
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets --no-default-features --features python
Features: test-name=librust-debian-analyzer-dev:python
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets --no-default-features --features svp
Features: test-name=librust-debian-analyzer-dev:svp
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets --no-default-features --features udd
Features: test-name=librust-debian-analyzer-dev:udd
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.3 --all-targets --no-default-features
Features: test-name=librust-debian-analyzer-dev:
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-debian-analyzer 0.159.4

=== Makefile ===
update: update-key-package-versions

update-key-package-versions:
	python3 key-package-versions.py key-package-versions.json
	brz diff key-package-versions.json || brz commit -m "Update key package versions" key-package-versions.json

.PHONY: update-key-package-versions update

=== debian/changelog ===
rust-debian-analyzer (0.159.4-1) unstable; urgency=medium

  * Package debian-analyzer 0.159.4 from crates.io using debcargo 2.7.10

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 15 Sep 2025 13:25:12 +0100

=== debian/control ===
--- 
+++ 
@@ -43,13 +43,13 @@
  librust-serde-1+derive-dev <!nocheck>,
  librust-serde-json-1+default-dev <!nocheck>,
  librust-sha1-0.10+default-dev (>= 0.10.6-~~) <!nocheck>,
- librust-tempfile-3+default-dev (>= 3.20-~~) <!nocheck>,
+ librust-tempfile-3+default-dev <!nocheck>,
  librust-toml-edit+default-dev (>= 0.22-~~) <!nocheck>,
  librust-url-2+default-dev <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Jelmer Vernooĳ <jelmer@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/debian-analyzer]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/debian-analyzer
 Homepage: https://github.com/jelmer/debian-analyzer
@@ -108,7 +108,7 @@
  librust-sqlx+default-dev (>= 0.8-~~),
  librust-sqlx+postgres-dev (>= 0.8-~~),
  librust-svp-client-0.2+default-dev,
- librust-tempfile-3+default-dev (>= 3.20-~~),
+ librust-tempfile-3+default-dev,
  librust-toml-edit+default-dev (>= 0.22-~~),
  librust-url-2+default-dev
 Provides:
@@ -132,12 +132,12 @@
  librust-debian-analyzer-0.159+python-dev (= ${binary:Version}),
  librust-debian-analyzer-0.159+svp-dev (= ${binary:Version}),
  librust-debian-analyzer-0.159+udd-dev (= ${binary:Version}),
- librust-debian-analyzer-0.159.3-dev (= ${binary:Version}),
- librust-debian-analyzer-0.159.3+cli-dev (= ${binary:Version}),
- librust-debian-analyzer-0.159.3+default-dev (= ${binary:Version}),
- librust-debian-analyzer-0.159.3+merge3-dev (= ${binary:Version}),
- librust-debian-analyzer-0.159.3+python-dev (= ${binary:Version}),
- librust-debian-analyzer-0.159.3+svp-dev (= ${binary:Version}),
- librust-debian-analyzer-0.159.3+udd-dev (= ${binary:Version})
+ librust-debian-analyzer-0.159.4-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.159.4+cli-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.159.4+default-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.159.4+merge3-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.159.4+python-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.159.4+svp-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.159.4+udd-dev (= ${binary:Version})
 Description: Debian analyzer - Rust source code
  Source code for Debianized Rust crate "debian-analyzer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets --all-features
Features: test-name=rust-debian-analyzer:@
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets --no-default-features --features cli
Features: test-name=librust-debian-analyzer-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets
Features: test-name=librust-debian-analyzer-dev:default
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets --no-default-features --features merge3
Features: test-name=librust-debian-analyzer-dev:merge3
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets --no-default-features --features python
Features: test-name=librust-debian-analyzer-dev:python
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets --no-default-features --features svp
Features: test-name=librust-debian-analyzer-dev:svp
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets --no-default-features --features udd
Features: test-name=librust-debian-analyzer-dev:udd
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.159.4 --all-targets --no-default-features
Features: test-name=librust-debian-analyzer-dev:
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/debian-analyzer-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/debian-analyzer .*/crates/debian-analyzer/@ANY_VERSION@/download

## rust-debian-analyzer 0.160.2

=== debian/changelog ===
rust-debian-analyzer (0.160.2-1) experimental; urgency=medium

  * Package debian-analyzer 0.160.2 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 06 Nov 2025 13:58:04 +0000

rust-debian-analyzer (0.159.4-2) unstable; urgency=medium

  * Team upload.
  * Package debian-analyzer 0.159.4 from crates.io using debcargo 2.7.11
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:08:21 +0100

=== debian/control ===
Source: rust-debian-analyzer
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-breezyshim-0.7+debian-dev (>= 0.7.1-~~) <!nocheck>,
 librust-breezyshim-0.7+default-dev (>= 0.7.1-~~) <!nocheck>,
 librust-breezyshim-0.7+dirty-tracker-dev (>= 0.7.1-~~) <!nocheck>,
 librust-chrono-0.4+default-dev (>= 0.4.42-~~) <!nocheck>,
 librust-chrono-0.4+serde-dev (>= 0.4.42-~~) <!nocheck>,
 librust-configparser-3+default-dev <!nocheck>,
 librust-deb822-lossless-0.4+default-dev <!nocheck>,
 librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~) <!nocheck>,
 librust-debian-control-0.2+default-dev <!nocheck>,
 librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~) <!nocheck>,
 librust-debversion-0.5+default-dev <!nocheck>,
 librust-debversion-0.5+python-debian-dev <!nocheck>,
 librust-debversion-0.5+serde-dev <!nocheck>,
 librust-dep3-0.2+default-dev <!nocheck>,
 librust-dep3-0.2+lossless-dev <!nocheck>,
 librust-difflib-0.4+default-dev <!nocheck>,
 librust-distro-info-0.4+default-dev <!nocheck>,
 librust-filetime-0.2+default-dev (>= 0.2.10-~~) <!nocheck>,
 librust-hex-0.4+default-dev (>= 0.4.3-~~) <!nocheck>,
 librust-lazy-regex-3+default-dev (>= 3.4-~~) <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.5-~~) <!nocheck>,
 librust-log-0.4+default-dev (>= 0.4.18-~~) <!nocheck>,
 librust-makefile-lossless-0.2+default-dev <!nocheck>,
 librust-maplit-1+default-dev (>= 1.0.2-~~) <!nocheck>,
 librust-merge3-0.2+default-dev <!nocheck>,
 librust-patchkit-0.2+default-dev (>= 0.2.2-~~) <!nocheck>,
 librust-pyo3-0.27+chrono-dev <!nocheck>,
 librust-pyo3-0.27+default-dev <!nocheck>,
 librust-pyo3-0.27+serde-dev <!nocheck>,
 librust-quote-1+default-dev (>= 1.0.40-~~) <!nocheck>,
 librust-reqwest-0.12+blocking-dev (>= 0.12.10-~~) <!nocheck>,
 librust-reqwest-0.12+default-dev (>= 0.12.10-~~) <!nocheck>,
 librust-reqwest-0.12+json-dev (>= 0.12.10-~~) <!nocheck>,
 librust-semver-1+default-dev <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.145-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.145-~~) <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.85-~~) <!nocheck>,
 librust-sha1-0.10+default-dev (>= 0.10.6-~~) <!nocheck>,
 librust-tempfile-3+default-dev (>= 3.20-~~) <!nocheck>,
 librust-toml-edit-0.22+default-dev <!nocheck>,
 librust-url-2+default-dev (>= 2.4-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/debian-analyzer]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/debian-analyzer
Homepage: https://github.com/jelmer/debian-analyzer
X-Cargo-Crate: debian-analyzer

Package: librust-debian-analyzer-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-breezyshim-0.7+debian-dev (>= 0.7.1-~~),
 librust-breezyshim-0.7+default-dev (>= 0.7.1-~~),
 librust-breezyshim-0.7+dirty-tracker-dev (>= 0.7.1-~~),
 librust-chrono-0.4+default-dev (>= 0.4.42-~~),
 librust-chrono-0.4+serde-dev (>= 0.4.42-~~),
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+string-dev,
 librust-clap-4+suggestions-dev,
 librust-configparser-3+default-dev,
 librust-deb822-lossless-0.4+default-dev,
 librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~),
 librust-debian-control-0.2+default-dev,
 librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~),
 librust-debversion-0.5+default-dev,
 librust-debversion-0.5+python-debian-dev,
 librust-debversion-0.5+serde-dev,
 librust-dep3-0.2+default-dev,
 librust-dep3-0.2+lossless-dev,
 librust-difflib-0.4+default-dev,
 librust-distro-info-0.4+default-dev,
 librust-env-logger+default-dev (<< 0.12-~~),
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-filetime-0.2+default-dev (>= 0.2.10-~~),
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-lazy-regex-3+default-dev (>= 3.4-~~),
 librust-lazy-static-1+default-dev (>= 1.5-~~),
 librust-log-0.4+default-dev (>= 0.4.18-~~),
 librust-makefile-lossless-0.2+default-dev,
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-merge3-0.2+default-dev,
 librust-patchkit-0.2+default-dev (>= 0.2.2-~~),
 librust-pyo3-0.27+chrono-dev,
 librust-pyo3-0.27+default-dev,
 librust-pyo3-0.27+serde-dev,
 librust-quote-1+default-dev (>= 1.0.40-~~),
 librust-reqwest-0.12+blocking-dev (>= 0.12.10-~~),
 librust-reqwest-0.12+default-dev (>= 0.12.10-~~),
 librust-reqwest-0.12+json-dev (>= 0.12.10-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev (>= 1.0.145-~~),
 librust-serde-1+derive-dev (>= 1.0.145-~~),
 librust-serde-json-1+default-dev (>= 1.0.85-~~),
 librust-sha1-0.10+default-dev (>= 0.10.6-~~),
 librust-sqlx-0.8+default-dev,
 librust-sqlx-0.8+postgres-dev,
 librust-svp-client-0.2+default-dev,
 librust-tempfile-3+default-dev (>= 3.20-~~),
 librust-toml-edit-0.22+default-dev,
 librust-url-2+default-dev (>= 2.4-~~)
Provides:
 librust-debian-analyzer+cli-dev (= ${binary:Version}),
 librust-debian-analyzer+default-dev (= ${binary:Version}),
 librust-debian-analyzer+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer+python-dev (= ${binary:Version}),
 librust-debian-analyzer+svp-dev (= ${binary:Version}),
 librust-debian-analyzer+udd-dev (= ${binary:Version}),
 librust-debian-analyzer-0-dev (= ${binary:Version}),
 librust-debian-analyzer-0+cli-dev (= ${binary:Version}),
 librust-debian-analyzer-0+default-dev (= ${binary:Version}),
 librust-debian-analyzer-0+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer-0+python-dev (= ${binary:Version}),
 librust-debian-analyzer-0+svp-dev (= ${binary:Version}),
 librust-debian-analyzer-0+udd-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160+cli-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160+default-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160+python-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160+svp-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160+udd-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160.2-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160.2+cli-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160.2+default-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160.2+merge3-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160.2+python-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160.2+svp-dev (= ${binary:Version}),
 librust-debian-analyzer-0.160.2+udd-dev (= ${binary:Version})
Description: Debian analyzer - Rust source code
 Source code for Debianized Rust crate "debian-analyzer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets --all-features
Features: test-name=rust-debian-analyzer:@
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets --no-default-features --features cli
Features: test-name=librust-debian-analyzer-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets
Features: test-name=librust-debian-analyzer-dev:default
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets --no-default-features --features merge3
Features: test-name=librust-debian-analyzer-dev:merge3
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets --no-default-features --features python
Features: test-name=librust-debian-analyzer-dev:python
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets --no-default-features --features svp
Features: test-name=librust-debian-analyzer-dev:svp
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets --no-default-features --features udd
Features: test-name=librust-debian-analyzer-dev:udd
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.2 --all-targets --no-default-features
Features: test-name=librust-debian-analyzer-dev:
Depends: dh-cargo (>= 31), rustc, librust-serial-test-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-debian-analyzer 0.160.4

=== debian/changelog ===
rust-debian-analyzer (0.160.4-1) unstable; urgency=medium

  * Package debian-analyzer 0.160.4 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Nov 2025 01:58:19 +0000

rust-debian-analyzer (0.160.2-2) unstable; urgency=medium

  * Target unstable distribution.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 18 Nov 2025 16:33:13 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,8 @@
  librust-lazy-regex-3+default-dev (>= 3.4-~~) <!nocheck>,
  librust-lazy-static-1+default-dev (>= 1.5-~~) <!nocheck>,
  librust-log-0.4+default-dev (>= 0.4.18-~~) <!nocheck>,
- librust-makefile-lossless-0.2+default-dev <!nocheck>,
+ librust-makefile-lossless+default-dev (<< 0.4-~~) <!nocheck>,
+ librust-makefile-lossless+default-dev (>= 0.2-~~) <!nocheck>,
  librust-maplit-1+default-dev (>= 1.0.2-~~) <!nocheck>,
  librust-merge3-0.2+default-dev <!nocheck>,
  librust-patchkit-0.2+default-dev (>= 0.2.2-~~) <!nocheck>,
@@ -91,7 +92,8 @@
  librust-lazy-regex-3+default-dev (>= 3.4-~~),
  librust-lazy-static-1+default-dev (>= 1.5-~~),
  librust-log-0.4+default-dev (>= 0.4.18-~~),
- librust-makefile-lossless-0.2+default-dev,
+ librust-makefile-lossless+default-dev (<< 0.4-~~),
+ librust-makefile-lossless+default-dev (>= 0.2-~~),
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-merge3-0.2+default-dev,
  librust-patchkit-0.2+default-dev (>= 0.2.2-~~),
@@ -134,12 +136,12 @@
  librust-debian-analyzer-0.160+python-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+svp-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+udd-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.2-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.2+cli-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.2+default-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.2+merge3-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.2+python-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.2+svp-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.2+udd-dev (= ${binary:Version})
+ librust-debian-analyzer-0.160.4-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.4+cli-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.4+default-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.4+merge3-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.4+python-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.4+svp-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.4+udd-dev (= ${binary:Version})
 Description: Debian analyzer - Rust source code
  Source code for Debianized Rust crate "debian-analyzer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets --all-features
Features: test-name=rust-debian-analyzer:@
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets --no-default-features --features cli
Features: test-name=librust-debian-analyzer-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets
Features: test-name=librust-debian-analyzer-dev:default
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets --no-default-features --features merge3
Features: test-name=librust-debian-analyzer-dev:merge3
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets --no-default-features --features python
Features: test-name=librust-debian-analyzer-dev:python
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets --no-default-features --features svp
Features: test-name=librust-debian-analyzer-dev:svp
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets --no-default-features --features udd
Features: test-name=librust-debian-analyzer-dev:udd
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.4 --all-targets --no-default-features
Features: test-name=librust-debian-analyzer-dev:
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-debian-analyzer 0.160.5

=== debian/changelog ===
rust-debian-analyzer (0.160.5-1) unstable; urgency=medium

  * Package debian-analyzer 0.160.5 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Nov 2025 17:19:48 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  librust-configparser-3+default-dev <!nocheck>,
  librust-deb822-lossless-0.4+default-dev <!nocheck>,
  librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~) <!nocheck>,
- librust-debian-control-0.2+default-dev <!nocheck>,
+ librust-debian-control-0.2+default-dev (>= 0.2.4-~~) <!nocheck>,
  librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~) <!nocheck>,
  librust-debversion-0.5+default-dev <!nocheck>,
  librust-debversion-0.5+python-debian-dev <!nocheck>,
@@ -76,7 +76,7 @@
  librust-configparser-3+default-dev,
  librust-deb822-lossless-0.4+default-dev,
  librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~),
- librust-debian-control-0.2+default-dev,
+ librust-debian-control-0.2+default-dev (>= 0.2.4-~~),
  librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~),
  librust-debversion-0.5+default-dev,
  librust-debversion-0.5+python-debian-dev,
@@ -136,12 +136,12 @@
  librust-debian-analyzer-0.160+python-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+svp-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+udd-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.4-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.4+cli-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.4+default-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.4+merge3-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.4+python-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.4+svp-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.4+udd-dev (= ${binary:Version})
+ librust-debian-analyzer-0.160.5-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.5+cli-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.5+default-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.5+merge3-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.5+python-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.5+svp-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.5+udd-dev (= ${binary:Version})
 Description: Debian analyzer - Rust source code
  Source code for Debianized Rust crate "debian-analyzer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets --all-features
Features: test-name=rust-debian-analyzer:@
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets --no-default-features --features cli
Features: test-name=librust-debian-analyzer-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets
Features: test-name=librust-debian-analyzer-dev:default
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets --no-default-features --features merge3
Features: test-name=librust-debian-analyzer-dev:merge3
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets --no-default-features --features python
Features: test-name=librust-debian-analyzer-dev:python
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets --no-default-features --features svp
Features: test-name=librust-debian-analyzer-dev:svp
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets --no-default-features --features udd
Features: test-name=librust-debian-analyzer-dev:udd
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.5 --all-targets --no-default-features
Features: test-name=librust-debian-analyzer-dev:
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-debian-analyzer 0.160.6

=== debian/changelog ===
rust-debian-analyzer (0.160.6-1) unstable; urgency=medium

  * Package debian-analyzer 0.160.6 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Dec 2025 03:05:33 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  librust-chrono-0.4+default-dev (>= 0.4.42-~~) <!nocheck>,
  librust-chrono-0.4+serde-dev (>= 0.4.42-~~) <!nocheck>,
  librust-configparser-3+default-dev <!nocheck>,
- librust-deb822-lossless-0.4+default-dev <!nocheck>,
+ librust-deb822-lossless-0.4+default-dev (>= 0.4.6-~~) <!nocheck>,
  librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~) <!nocheck>,
  librust-debian-control-0.2+default-dev (>= 0.2.4-~~) <!nocheck>,
  librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~) <!nocheck>,
@@ -74,7 +74,7 @@
  librust-clap-4+string-dev,
  librust-clap-4+suggestions-dev,
  librust-configparser-3+default-dev,
- librust-deb822-lossless-0.4+default-dev,
+ librust-deb822-lossless-0.4+default-dev (>= 0.4.6-~~),
  librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~),
  librust-debian-control-0.2+default-dev (>= 0.2.4-~~),
  librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~),
@@ -136,12 +136,12 @@
  librust-debian-analyzer-0.160+python-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+svp-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+udd-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.5-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.5+cli-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.5+default-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.5+merge3-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.5+python-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.5+svp-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.5+udd-dev (= ${binary:Version})
+ librust-debian-analyzer-0.160.6-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.6+cli-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.6+default-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.6+merge3-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.6+python-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.6+svp-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.6+udd-dev (= ${binary:Version})
 Description: Debian analyzer - Rust source code
  Source code for Debianized Rust crate "debian-analyzer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets --all-features
Features: test-name=rust-debian-analyzer:@
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets --no-default-features --features cli
Features: test-name=librust-debian-analyzer-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets
Features: test-name=librust-debian-analyzer-dev:default
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets --no-default-features --features merge3
Features: test-name=librust-debian-analyzer-dev:merge3
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets --no-default-features --features python
Features: test-name=librust-debian-analyzer-dev:python
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets --no-default-features --features svp
Features: test-name=librust-debian-analyzer-dev:svp
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets --no-default-features --features udd
Features: test-name=librust-debian-analyzer-dev:udd
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.6 --all-targets --no-default-features
Features: test-name=librust-debian-analyzer-dev:
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-debian-analyzer 0.160.7

=== debian/changelog ===
rust-debian-analyzer (0.160.7-1) unstable; urgency=medium

  * Package debian-analyzer 0.160.7 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Dec 2025 17:24:41 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  librust-chrono-0.4+default-dev (>= 0.4.42-~~) <!nocheck>,
  librust-chrono-0.4+serde-dev (>= 0.4.42-~~) <!nocheck>,
  librust-configparser-3+default-dev <!nocheck>,
- librust-deb822-lossless-0.4+default-dev (>= 0.4.6-~~) <!nocheck>,
- librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~) <!nocheck>,
- librust-debian-control-0.2+default-dev (>= 0.2.4-~~) <!nocheck>,
+ librust-deb822-lossless-0.4+default-dev (>= 0.4.7-~~) <!nocheck>,
+ librust-debian-changelog-0.2+default-dev (>= 0.2.10-~~) <!nocheck>,
+ librust-debian-control-0.2+default-dev (>= 0.2.7-~~) <!nocheck>,
  librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~) <!nocheck>,
  librust-debversion-0.5+default-dev <!nocheck>,
  librust-debversion-0.5+python-debian-dev <!nocheck>,
@@ -37,6 +37,7 @@
  librust-pyo3-0.27+default-dev <!nocheck>,
  librust-pyo3-0.27+serde-dev <!nocheck>,
  librust-quote-1+default-dev (>= 1.0.40-~~) <!nocheck>,
+ librust-regex-1+default-dev (>= 1.12.2-~~) <!nocheck>,
  librust-reqwest-0.12+blocking-dev (>= 0.12.10-~~) <!nocheck>,
  librust-reqwest-0.12+default-dev (>= 0.12.10-~~) <!nocheck>,
  librust-reqwest-0.12+json-dev (>= 0.12.10-~~) <!nocheck>,
@@ -74,9 +75,9 @@
  librust-clap-4+string-dev,
  librust-clap-4+suggestions-dev,
  librust-configparser-3+default-dev,
- librust-deb822-lossless-0.4+default-dev (>= 0.4.6-~~),
- librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~),
- librust-debian-control-0.2+default-dev (>= 0.2.4-~~),
+ librust-deb822-lossless-0.4+default-dev (>= 0.4.7-~~),
+ librust-debian-changelog-0.2+default-dev (>= 0.2.10-~~),
+ librust-debian-control-0.2+default-dev (>= 0.2.7-~~),
  librust-debian-copyright-0.1+default-dev (>= 0.1.29-~~),
  librust-debversion-0.5+default-dev,
  librust-debversion-0.5+python-debian-dev,
@@ -101,6 +102,7 @@
  librust-pyo3-0.27+default-dev,
  librust-pyo3-0.27+serde-dev,
  librust-quote-1+default-dev (>= 1.0.40-~~),
+ librust-regex-1+default-dev (>= 1.12.2-~~),
  librust-reqwest-0.12+blocking-dev (>= 0.12.10-~~),
  librust-reqwest-0.12+default-dev (>= 0.12.10-~~),
  librust-reqwest-0.12+json-dev (>= 0.12.10-~~),
@@ -136,12 +138,12 @@
  librust-debian-analyzer-0.160+python-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+svp-dev (= ${binary:Version}),
  librust-debian-analyzer-0.160+udd-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.6-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.6+cli-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.6+default-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.6+merge3-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.6+python-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.6+svp-dev (= ${binary:Version}),
- librust-debian-analyzer-0.160.6+udd-dev (= ${binary:Version})
+ librust-debian-analyzer-0.160.7-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.7+cli-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.7+default-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.7+merge3-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.7+python-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.7+svp-dev (= ${binary:Version}),
+ librust-debian-analyzer-0.160.7+udd-dev (= ${binary:Version})
 Description: Debian analyzer - Rust source code
  Source code for Debianized Rust crate "debian-analyzer"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets --all-features
Features: test-name=rust-debian-analyzer:@
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets --no-default-features --features cli
Features: test-name=librust-debian-analyzer-dev:cli
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets
Features: test-name=librust-debian-analyzer-dev:default
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets --no-default-features --features merge3
Features: test-name=librust-debian-analyzer-dev:merge3
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets --no-default-features --features python
Features: test-name=librust-debian-analyzer-dev:python
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets --no-default-features --features svp
Features: test-name=librust-debian-analyzer-dev:svp
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets --no-default-features --features udd
Features: test-name=librust-debian-analyzer-dev:udd
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debian-analyzer 0.160.7 --all-targets --no-default-features
Features: test-name=librust-debian-analyzer-dev:
Depends: dh-cargo (>= 31), rustc, librust-serial-test+default-dev (<< 4-~~), librust-serial-test+default-dev (>= 2-~~), @
Restrictions: allow-stderr, skip-not-installable
